Summary:	Enhanced WHOIS client
Summary(pl.UTF-8):	Rozszerzony klient WHOIS
Summary(ru.UTF-8):	Улучшенный клиент WHOIS
Summary(uk.UTF-8):	Покращений клієнт WHOIS
Name:		whois
Version:	5.4.0
Release:	1
License:	GPL v2+
Group:		Networking/Utilities
Source0:	http://ftp.debian.org/debian/pool/main/w/whois/%{name}_%{version}.tar.xz
# Source0-md5:	90b97c2431d3fcfc48041264a8c5c6cf
Patch0:		%{name}-idn.patch
Patch1:		%{name}-config.patch
Patch2:		%{name}-mkpwdhash.patch
URL:		https://github.com/rfc1036/whois
BuildRequires:	gettext-tools
BuildRequires:	libidn2-devel >= 2.0.3
BuildRequires:	perl-base
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	libidn2 >= 2.0.3
Obsoletes:	inetutils-whois
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a new whois (RFC 954) client rewritten from scratch. It is
derived from and compatible with the usual BSD and RIPE whois(1)
programs. It is intelligent and can automatically select the
appropriate whois server for most queries.

%description -l pl.UTF-8
To jest nowy klient usługi whois (RFC 954) napisany całkowicie od
nowa. Jest kompatybilny zarówno z whois z BSD oraz RIPE. Jest
inteligentny i automatycznie dobiera poprawny serwer whois dla
większosci zapytań.

%description -l ru.UTF-8
Это написанный с "нуля" клиент (RFC 954), совместимый с whois(1)
программами BSD и RIPE. В большинстве случаев он может автоматически
выбирать правильный whois сервер в зависимости от запроса.

%description -l uk.UTF-8
Це заново написаний клієнт whois (RFC 954), сумісний з whois(1)
програмами BSD та RIPE. Він в більшості випадків може автоматично
вибирати правильний whois сервер в залежності від запиту.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

# Makefile vs po/Makefile mismatch
echo 'install-pos: install' >> po/Makefile

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags}" \
	HAVE_ICONV=1

%{__make} -C po

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_bindir},%{_mandir}/man1}
%{__make} install install-pos \
	BASEDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix}

%{__cp} -p whois.conf $RPM_BUILD_ROOT%{_sysconfdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README debian/changelog
%attr(755,root,root) %{_bindir}/mkpwdhash
%attr(755,root,root) %{_bindir}/whois
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/whois.conf
%{_mandir}/man1/mkpwdhash.1*
%{_mandir}/man1/whois.1*
%{_mandir}/man5/whois.conf.5*
%changelog
* Tue Nov 20 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/whois.git;a=log;h=master

* Sat Nov 10 2018 Adam Gołębiowski <adamg@pld-linux.org> 41354e4
- updated to 5.4.0

* Fri Jun 08 2018 Jakub Bogusz <qboosh@pld-linux.org> 5f0043d
- libidn2 version

* Wed May 30 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 0751043
- up to 5.3.1

* Mon Apr 16 2018 Marcin Krol <hawk@tld-linux.org> 36a5fbe
- package mkpasswd as mkpwdhash to avoid conflict with expect
  Note: whois mkpasswd is very usefull hash generator using crypt(3)
  while expect mkpasswd is just simple random password generator

* Thu Feb 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 3448b6f
- up to 5.3.0

* Thu Aug 10 2017 Elan Ruusamäe <glen@pld-linux.org> 5eb20b6
- up to 5.2.17

* Fri Mar 03 2017 Marcin Banasiak <marcin.banasiak@gmail.com> a5c4673
- Update to 5.2.15

* Mon Aug 01 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 985c5c7
- rel 2; enable iconv

* Thu Jul 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> e0675e9
- up to 5.2.12

* Tue Dec 29 2015 Łukasz Kieś <kiesiu@pld-linux.org> aadd359
- updated to 5.2.11

* Sat Aug 01 2015 Elan Ruusamäe <glen@delfi.ee> 718e283
- up to 5.2.10

* Fri Jun 12 2015 Elan Ruusamäe <glen@delfi.ee> 2ec34a2
- don't install mkpasswd just to rm it

* Fri Jun 12 2015 Elan Ruusamäe <glen@delfi.ee> f537418
- up to 5.2.9

* Tue May 19 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e3bd099
- up to 5.2.8

* Thu Mar 26 2015 Łukasz Kieś <kiesiu@pld-linux.org> 944b978
- updated to 5.2.7

* Thu Mar 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 25118d8
- up to 5.2.5

* Fri Feb 13 2015 Łukasz Kieś <kiesiu@pld-linux.org> 78995f0
- updated to 5.2.4

* Sun Dec 28 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> b602574
- up to 5.2.3

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> f043687
- updated gettext BR

* Sat Sep 13 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 948058f
- up to 5.2.0

